Bug 183301 - Build fix after r229174
Summary: Build fix after r229174
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-03-02 13:31 PST by Christopher Reid
Modified: 2019-10-14 06:51 PDT (History)
16 users (show)

See Also:


Attachments
Patch (1.40 KB, patch)
2018-03-02 13:34 PST, Christopher Reid
achristensen: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Reid 2018-03-02 13:31:48 PST
The build fails when #if !PLATFORM(COCOA) && !OS(LINUX) && !OS(WINDOWS) is true
MemoryPressureHandler::holdOff was updated to use WTF::Seconds but the MemoryPressureHandler::holdOff definition in that condition is still using unsigned.
Comment 1 Christopher Reid 2018-03-02 13:34:47 PST
Created attachment 334921 [details]
Patch
Comment 2 WebKit Commit Bot 2018-03-02 14:00:29 PST
Comment on attachment 334921 [details]
Patch

Rejecting attachment 334921 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 334921, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
rdparty/autoinstalled/mechanize/_urllib2_fork.py", line 332, in _call_chain
    result = func(*args)
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1170, in https_open
    return self.do_open(conn_factory, req)
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1118, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno 60] Operation timed out>

Full output: http://webkit-queues.webkit.org/results/6740411
Comment 3 Christopher Reid 2018-03-02 14:21:06 PST
(In reply to WebKit Commit Bot from comment #2)
> Comment on attachment 334921 [details]
> Patch
> 
> Rejecting attachment 334921 [details] from commit-queue.

It looks like the commit-queue landed this patch then marked it as rejected due to a timeout 15 seconds later.

The patch landed under https://trac.webkit.org/changeset/229187/webkit
Comment 4 Christopher Reid 2018-03-02 14:31:15 PST
Manually closing this bug. All patches have landed.
Comment 5 Radar WebKit Bug Importer 2018-03-02 14:33:06 PST
<rdar://problem/38082498>
Comment 6 Max Petis 2019-01-22 22:26:06 PST Comment hidden (spam)
Comment 8 Katie Molina 2019-06-19 04:34:04 PDT Comment hidden (spam)
Comment 9 Maria Lena 2019-10-14 06:51:13 PDT Comment hidden (spam)